%define module	Pod-Coverage
%define name	perl-%{module}
%define version	0.17
%define	release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Checks if the documentation of a perl module is comprehensive
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Devel-Symdump

%description
Developers hate writing documentation. They'd hate it even more if their
computer tattled on them, but maybe they'll be even more thankful in the long
run. Even if not, perlmodstyle tells you to, so you must obey. This perl module
provides a mechanism for determining if the pod for a given module is
comprehensive.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorarch}/Pod/*
%{perl_vendorarch}/auto/Pod/*
%{_bindir}/pod_cover
%{_mandir}/*/*

%changelog
* Thu Sep 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.17-2mdk
- add BuildRequires: perl-Module-Build perl-Devel-Symdump

* Thu Dec 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-1mdk
- Initial MDK release.
